Displaying Metadata from External Devices

Dartfish's Analyzer and InTheAction modules support the display of data from other software applications. For example, timing devices, heartrate monitors or power measurement devices that use sensors linked to software can use Dartfish's Metadata toolkit to send the processed data to Dartfish Software. Such metadata adds to the interpretation of video images by relating them to the effort of the performer.

Throughout this chapter, the term "metadata" will refer to data (in a broad sense) generated by entities external to Dartfish Software and captured by Dartfish Software while capturing a video clip. Examples of such metadata are heart rate, speed, etc.

It is assumed here that you are already familiar with the use of the InTheAction and the Analyzer modules.

To display metadata on Dartfish video images, you need to:

Activate advanced options supporting metadata capture and display.

Use the InTheAction module to capture metadata streams while capturing related video images.

Link drawings superimposed on video displays to metadata values.

Use the Analyzer module to replay previously captured video with related metadata.

You will also learn how to display metadata values graphically next to video images.


Support for metadata in Dartfish Software

Metadata can be captured and displayed. These tasks are performed using 2 modules:

InTheAction module, for capturing video clips and metadata synchronously.

Analyzer module, for displaying metadata and performing some analysis.

Apart from these 2 modules, there is no support for metadata. For example, it is not possible to display metadata with the Player.

In these 2 modules, the metadata features are enabled by advanced settings that are available in the Options dialog (Advanced Options).


Setting Advanced Options

To use (capture and display) metadata in Dartfish Software, advanced options can be enabled. These different options are accessed in the Advanced tab under Options menu item in Tools menu (Options dialog can also be directly accessed by depressing the F3 key). These options are shared amongst the Analyzer and the InTheAction modules.

The figure below depicts the different options as they are displayed in the Options dialog (they have been highlighted in the picture):

Load embedded drawings - this option allows the Analyzer to load the drawings (if any) that have been saved with a video clip during its capture. If this option is disabled, the Analyzer will only load the video. In order to save drawings with a video clip, the advanced option Save currently selected overlay drawing with the video clip must have been enabled in the Metadata Support Options prior to saving the clip.

Receive, record, and save metadata - this option enables the InTheAction module to receive, record, and save metadata with the video clip.

Use overlay drawing repository – the drawing repository stores up to nine different collections of clip drawings. When this option is enabled, the library is used for managing the drawings in the InTheAction module. This option also displays additional tools on the InTheAction left toolbar.

Save currently selected overlay drawing with the video clip – when enabled, the drawing that is currently displayed in Live or Replay mode is saved with the video clip at the end of the capture when the user saves the video clip. The drawing can later be automatically loaded and displayed in the Analyzer (if the Load embedded drawings option is enabled).


Capturing & displaying Metadata with the InTheAction

The InTheAction module is used for recording Metadata (it is currently not possible to use the DVImport module to record Metadata). The Receive, record and save metadata advanced option must be enabled (Advanced Options).

When receiving external data, the InTheAction module automatically creates a data source stream for each received data stream. These data source streams are created automatically as the data is received. This has the following important consequence: no data source streams are available until Dartfish Software has received some data.

The current values of the metadata streams can be displayed in InTheAction's Live mode (see Displaying Metadata in Live Mode). Even if the metadata is not displayed on the video in Live mode, the metadata streams are nevertheless recorded with the captured video clip but only if the advanced options for recording the metadata have been enabled for the InTheAction module.


Checking that Metadata is received

The list of data source streams and their properties can be displayed in InTheAction.

Select the "Manage metadata repository" menu item in the left ITA toolbar as follows:

Note: if this menu is not displayed in the left toolbar, you have to enable it in the advanced options (see Setting Advanced Options).

The following data source list dialog is displayed showing the different data sources and their metadata streams.

The content of this dialog content is not automatically refreshed. When this dialog is left opened and new metadata streams are detected by Dartfish Software, you must depress Refresh button to update the dialog list view (or close the dialog and reopen it).

In this example, 2 data source streams have been received: Heart Rate and Spin Amount. The Heart Rate data stream has integer values (e.g. 123, 150). The Spin Amount data stream has float values (e.g. 12.34, 0.34E-2).

All data source streams that are displayed in the DataSource List dialog are recorded with the video clip. Currently, it is not possible to select which data source stream will be recorded with the video.

If no data source streams are displayed this indicates that the Dartfish Software has not received any data yet.

The list of received metadata streams is not saved when quitting Dartfish Software.


Displaying Metadata in Live Mode

Metadata stream values in the InTheAction module are displayed with overlay drawings that are drawn on the video image.

First check that data source streams have been detected (as explained in Checking that Metadata are received in InTheAction).

Switch the InTheAction module to Live mode.

Depending on the type of data contained by the data source stream, you must select the appropriate drawing tool. For integer values, select the Text drawing tool. For float values, select the Text or Graph drawing tools. For vectors with origin (Vector6) data type, select the Force Meter drawing tool:

If this menu is not displayed in the left toolbar, you have to enable it in the advanced options (see Advanced Options).

Drawings can be resized on the screen using different handles that depend on the type of drawing. Force Meter drawings also offer a yellow handle for resizing the length of the displayed moving arrows.

Draw on the video using one of the drawing shapes selected in the previous step.

Select the shape and right click on it to display a popup menu.

Select the menu item External Data Properties... as below:

If this menu item is grayed, no data source streams are available or no compatible data source streams are available. The following dialog is then displayed:

To assign a data source stream to the current drawing, click on Linked to the following External Data Source: option button and select the targeted data source stream. If this option button is disabled (grayed) then it is not possible to assign a data source stream to the drawing (there are no compatible data source streams currently available).

The drawing shape displays the value of the linked metadata stream. For example, a Text drawing displays a value and a graph drawing displays a graph.

You can set the width and origin of the Graph drawing tools as illustrated below:

To do this, set the duration (in seconds) that corresponds to the length of the displayed data window. You also have the option to modify the Relative position of the playhead in the window (see illustration above).


Section summary

In this section you learned how to capture metadata with a video clip. This metadata can be displayed in the Live mode by linking drawings to the metadata stream.

The next section will cover how to use the Analyser module to display metadata on previously captured video and display metadata graphically.


Using Metadata in the Analyzer

The Analyzer module is used for observing and comparing stored video clips and their recorded metadata. When a clip is opened in the Analyzer, any recorded metadata can be displayed in a graphic view as below:

The tree view on the left side of the graphic view and its associated small tool bar are described in the following sections.

When multiple clips containing metadata are opened, the metadata corresponding to each clip is displayed in the graphic view. Each graph is color-coded with the corresponding color of each clip's timeline. For example, the yellow graph corresponds to the yellow clip in the timeline.

The graph part of a video clip is synchronized with its timeline. For example, in the graphic view above, shifting the yellow timeline to the left will also move the yellow graph.


Displaying Metadata diagrams

Metadata stream values can be displayed in the Analyzer module as a graph synchronized with the timeline. Proceed as follows to display metadata graphs in the Analyzer:

Display the graph part by selecting the Data Graph tab at the bottom of the Analyzer

Open a video clip in the analyzer. Any metadata previously captured with the InTheAction module is displayed in the graph part of the analyzer under the timeline.

The different buttons in the Data Graph toolbar alter the way the graph is displayed.

The [image] button displays simple statistics such as min, max and average values. The In and Out points act as delimiters for these calculations.

The [image] button displays the data value corresponding to the value at the cursor position in the timeline on the top right corner of the graph. (e.g. –9.72 and –2.00 in the picture above).

The [image] button displays the name of the currently displayed metadata stream in the top left corner of the graph (e.g. "Channel 1" in the picture above).

The [image] button toggles between single or multiple clip display. When multiple clips are simultaneously opened in the Analyzer, the graph can display the metadata from a single clip or from multiple clips. In this latter case, the each clip's metadata curve is the color of the corresponding clip's timeline. . For example, the data curve corresponding to the clip that has the yellow timeline is displayed in yellow. In single clip mode, the user can switch between the different graphs for each clip by selecting the clip in the Analyzer (usually done by clicking directly on the targeted clip video).

The [image] button switches between "superimposed" or "separate" mode when multiple clip curves are displayed. This feature is only useful when graphs from several clips are simultaneously displayed. In the "superimposed" mode, the graphs of the different clips are superimposed on each other.

In the "separate" mode, the graphs are displayed as separate graphs, each in its own display are

The [image] button toggles between the "all clip" and "single clip" data stream browse mode. These 2 modes alter the way data source streams are selected in the tree view to the left of the graph.

The [image] button lets you re-synchronize the video and the data. To do this, click the button and drag the graphs. Click a second time when done. Note that all the graphs corresponding to one source move simultaneously.

The graph is fully synchronized with the timeline. So, if one of the clip is moved on the left by dragging its timeline on the left (e.g. by click and dragging the yellow timeline), the corresponding graph is also moved accordingly. The graph is also zoomed in and out as the timeline is zoomed in and out.


Displaying Metadata on the Video

Proceed as previously explained in the section Displaying Metadata in Live Mode.